%use Post(sys,index)

function result = Post(sys,x)

result = [];

P = sys.parameter{get(sys.space(x),'param')}; %if a polytope of parameters is not supplied - extract it; 
if (isempty(P))
    return;
end;
Vx = extreme(sys.space(x));

if (~isa(P,'polytope'))
    Vres = []; %don't use MPT's 'range' because it doesn't like rank deficient matrices
    for(k=1:size(Vx,1))
        Vres = [Vres; f(Vx(k,:)',P)'];
    end;
	
    result = hull(Vres);
    return;
end;

for (i =1:length(P)) %for each convex parameter polytope
    Vp = extreme(P(i)); %get the parameter vertices
    Vres = [];
    for (j=1:size(Vp,1)) %for each parameter vertex
        for (k = 1:size(Vx,1)) %and each state vertex
            Vres = [Vres; f(Vx(k,:)',Vp(j,:))']; %find the image and save it to the list
        end;            
    end;
    result = [result, hull(unique(Vres,'rows'))]; %add the convex hull of all vertices to the union
end;
