function sys = init_sys(formula, percent)

%T = 20;

T = 1;

alpha0_X    = 0.17;
alpha0_Y    = 0.15;

alpha_X     = 0.75;
alpha_Y     = 1.4;

gamma_X     = 0.01;
gamma_Y     = 0.02;


%X=1;Y=1
As{1} = [-gamma_X       0;
        0       -gamma_Y];
bs{1} = [alpha0_X+alpha_X;alpha0_Y+alpha_Y];

%X=0;Y=1;
As{3} = [-gamma_X       0;
        0       -gamma_Y];
bs{3} = [alpha0_X;alpha0_Y+alpha_Y];

%X=0;Y=0;
As{9} = [-gamma_X       0;
        0       -gamma_Y];
bs{9} = [alpha0_X;alpha0_Y];

%X=1;Y=0;
As{7} = [-gamma_X       0;
        0       -gamma_Y];
bs{7} = [alpha0_X+alpha_X;alpha0_Y];

%**********************************************
As{2} = [-gamma_X       -alpha_X*1/30;
        0                  -gamma_Y];
bs{2} = [5/3*alpha_X+alpha0_X;alpha0_Y+alpha_Y];

As{6} = [-gamma_X       0;
      -alpha_Y*1/40    -gamma_Y];
bs{6} = [alpha0_X;alpha0_Y+2*alpha_Y];

As{4} = [-gamma_X              0;
      -alpha_Y*(1/40)       -gamma_Y];
bs{4} = [alpha_X+alpha0_X; alpha0_Y+2*alpha_Y];

As{8} = [-gamma_X       -alpha_X*1/30;
        0       -gamma_Y];
bs{8} = [5/3*alpha_X+alpha0_X;alpha0_Y];


As{5} = [-gamma_X       -alpha_X*1/30;
        -alpha_Y*1/40       -gamma_Y];
bs{5} = [5/3*alpha_X+alpha0_X;alpha0_Y+2*alpha_Y];





sys.space(1) = hull([0 0; 40 0; 40 20; 0 20]);
sys.space(2) = hull([0 20; 40 20; 40 50; 0 50]);
sys.space(3) = hull([0 50; 40 50; 40 100; 0 100]);

sys.space(4) = hull([40 0; 80 0; 80 20; 40 20]);
sys.space(5) = hull([40 20; 80 20; 80 50; 40 50]);
sys.space(6) = hull([40 50; 80 50; 80 100; 40 100]);

sys.space(7) = hull([80 0; 100 0; 100 20; 80 20]);
sys.space(8) = hull([80 20; 100 20; 100 50; 80 50]);
sys.space(9) = hull([80 50; 100 50; 100 100; 80 100]);


X = union(sys.space);


sys.parameter = {};
if (percent>0)
    for (i=1:length(sys.space))
        A{i} = expm(As{i}*T);
        b{i} = As{i}^(-1)*(A{i}-eye(length(As{i})))*bs{i};
        sys.parameter{end+1} = intersect(expand(A{i},b{i},percent),param_range(sys.space(i),X));
        sys.space(i) = set(sys.space(i),'param',length(sys.parameter));
        sys.space(i) = set(sys.space(i),'index',i);
        sys.space(i) = set(sys.space(i),'flag',0);
    end;
else
    for (i=1:length(sys.space))
        A{i} = expm(As{i}*T);
        b{i} = As{i}^(-1)*(A{i}-eye(length(As{i})))*bs{i};
        sys.parameter{end+1} = [A{i}(1,:),A{i}(2,:),b{i}'];
        sys.space(i) = set(sys.space(i),'param',length(sys.parameter));
        sys.space(i) = set(sys.space(i),'index',i);
        sys.space(i) = set(sys.space(i),'flag',0);
    end;
end;


sys.formula = formula; %formula of the system
sys.ireg = length(sys.space);
