%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This function plots the polytopes in the array and the transitions
% between them.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function plot_graph(sys,labels,draw_trans)

figure;
hold on;

O.shade = 0.3;
%O.linewidth = 2;

if (~ismember('trans',fields(sys)) | length(sys.trans)~=length(sys.space))
    draw_trans = 0;
end;

for (i=1:length(sys.space)) %draw each polytope in state
   flag = get(sys.space(i),'flag');
   if (flag==-1)
       O.wire = 0;
       O.color = 'red';
       plot(sys.space(i),O);
   elseif(flag==1)
       O.wire = 0;
       O.color = 'green';
       plot(sys.space(i),O);
   else
       O.wire = 1;
       O.color = 'black';
       plot(sys.space(i),O);
   end;
 

   O.color = 'black';
   c1 = cent(sys.space(i))';
   if (labels)
%      text(c1(1),c1(2),['   X^{',int2str(i),'}_{',int2str(get(sys.space(i),'index')),'}'],'fontsize',9,'fontweight','bold');
      text(c1(1),c1(2),[' X_{',int2str(i),'}'],'fontsize',15,'fontweight','bold');
   end;


   if (draw_trans)  
       for (j=1:length(sys.trans)) %and draw a transition if there is one
           if (sys.trans(i,j)~=0)
               if (i==j) %self loop (only put a dot)
                   text(c1(1),c1(2),'[   ]','fontsize',25);

               else
                   c2 = cent(sys.space(j))';
                   arrow3(c1',c2');
               end;
           end
       end;
   end;
end;