function formula = read_formula(N_s,formula)
%read an LTL formula and replace names of propositions (px -> p0..0x)
%LTL formula is over the set of feasible subpolytopes in partition
%N_s=number of subpolytopes from partition

%create alphabet:
pad_no=num2str(length(num2str(N_s)));   %number of positions to represent propositions no (e.g. for 12 props - 2 positions: p01,p02,...)

for i=1:N_s
    new_alph{i}=sprintf(['p%d'],i);    %struct with names of props (useful below for testing and replacing in formula)
    alphabet{i}=sprintf(['p%0' pad_no 'd'],i);   %alphabet; we add zeros between 'p' and number (we do not want predicates which begin with the same sub-string, e.g. 'p1' and 'p11'; we use 'p01')
end


for i=N_s:-1:1 %replace props px with p0...0x (start with the last one) - to not confund p1 with p1x, ...
    formula=regexprep(formula,['\<' new_alph{i} '\>'],alphabet{i});    %sintax \< , \> for exact match
end 
