function Tsat = refine_trans(sys)

Tall{1} = sys;
Tsat = {};

tic;
while (~isempty(Tall))
    printf('Satisfying transition system found: %i\n', length(Tsat));
    printf('Total transition system: %i\n', length(Tall));
    printf('______________________________________________________\n');
    Tall_new = {};
    for (i=1:length(Tall))
        [r c] = model_check(Tall{i});
        if (r==1) %the formula is satisfied and the TS is not a subset of already existing
                Tsat= fixsubs(Tsat, Tall{i}); %also remove all subsets of the new one
        elseif (~isempty(c))
            prefix = c{1};
            suffix = c{2};
            if (length(prefix)>0)
                for (j=1:length(prefix)-1)
                    Tnew = Tall{i}; 
                    Tall_new = [Tall_new, remove_trans(Tnew,prefix(j),prefix(j+1),Tall)]; %add it to the list for processing
                end;
                Tnew = Tall{i}; 
                Tall_new = [Tall_new,remove_trans(Tnew,prefix(end),suffix(1),Tall)]; %add it to the list for processing
            end;
            for (j=1:length(suffix)-1)
                Tnew = Tall{i}; 
                Tall_new = [Tall_new,remove_trans(Tnew,suffix(j),suffix(j+1),Tall)]; %add it to the list for processing
            end;
            Tnew = Tall{i}; 
            Tall_new = [Tall_new, remove_trans(Tnew,suffix(end),suffix(1),Tall)]; %add it to the list for processing
        end;
    end;
    Tall = Tall_new;
    save temp Tsat;
end;
toc;
