function [traj mode_changes]= simulate(sys,steps)

mode_changes = [];
init_mode = ceil(length(sys.init)*rand(1,1));
last_mode = init_mode;

traj(1,:) = grp(sys.space(sys.init(init_mode))); %generate a random point in a random initial polytope

for (i=2:steps)
    mode = inpol(sys,traj(i-1,:));
    
    if (mode~=last_mode) %save the switching info
        mode_changes(end+1) = i;
        last_mode = mode;
    end;
    
    param_index = get(sys.space(mode),'param');
    if (~param_index) %blocking state
        return;
    end;
    if (isa(sys.parameter{param_index},'double'))
        p = sys.parameter{param_index};
    else
        p = grp(sys.parameter{param_index});
    end;
    traj(i,:) = f(traj(i-1,:)',p)';
end;
